Subject: Re: [PATCH] Git.pm: Don't return 'undef' in vector context.

From: Jakub Narebski <[email-masked]>
Date: Fri, 16 Nov 2007 09:43:11 +0100

[Cc: Dan Zwell <[email-masked]>, Petr Baudis <[email-masked]>,
     [email-masked]]

Dan Zwell wrote:

> Previously, the Git->repository()->config('non-existent.key')
> evaluated to as true in a vector context. Return an empty list
> instead.

Nice.

By the way, what do you think about changing Git.pm config handling
to the 'eager' one used currently by gitweb, namely reading all the
config to hash, and later getting config values from hash instead of
calling git-config? Or at least make it an option?

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git